## org.xmldb.api.base
Interface Configurable

All Known Subinterfaces:
  Collection, CollectionImpl, CollectionManagementService, CollectionManagementServiceImpl, Database, DatabaseInstanceManager, IndexQueryService, Service, TransactionService, UserManagementService, ValidationService, XPathQueryService, XPathQueryServiceImpl, XQueryService, XQueryService, XUpdateQueryService

All Known Implementing Classes:
  DatabaseImpl, LocalCollection, LocalCollectionManagementService, LocalDatabaseInstanceManager, LocalIndexQueryService, LocalUserManagementService, LocalValidationService, LocalXPathQueryService, LocalXUpdateQueryService, RemoteCollection, RemoteCollectionManagementService, RemoteDatabaseInstanceManager, RemoteIndexQueryService, RemoteUserManagementService, RemoteValidationService, RemoteXPathQueryService, RemoteXUpdateQueryService

public interface Configurable

Provides the ability to configure properties about an object.

Method Summary
`java.lang.String` `getProperty(java.lang.String name)` Returns the value of the property identified by `name`.
`void` `setProperty(java.lang.String name, java.lang.String value)` Sets the property `name` to have the value provided in `value`.

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String name)
                                 throws XMLDBException

  Returns the value of the property identified by `name`.

  Parameters:
    `name` - the name of the property to retrieve.
  Returns:
    the property value or null if no property exists.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)
                     throws XMLDBException

  Sets the property `name` to have the value provided in `value`.

  Parameters:
    `name` - the name of the property to set.
    `value` - the value to set for the property.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

Copyright (C) Wolfgang Meier. All rights reserved.